Exports
Exports List
Retrieve a list of exports.
Authorization
oauth2 exports:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: exports:read
Query Parameters
type?string
order_list- Ordersorder_line_items- Order Line Itemscustomer_list- Customerstransaction_list- Transactionsdispute_list- Disputessubscription_list- Subscriptionssubscription_line_items- Subscription Line Itemsopen_cart_list- Open Cartsopen_cart_line_items- Open Cart Line Itemsreturn_list- Returnsreturn_line_items- Return Line Itemsfulfillment_list- Fulfillmentsfulfillment_line_items- Fulfillment Line Items
Value in
"customer_list" | "dispute_list" | "fulfillment_line_items" | "fulfillment_list" | "open_cart_line_items" | "open_cart_list" | "order_line_items" | "order_list" | "return_line_items" | "return_list" | "subscription_line_items" | "subscription_list" | "transaction_list"date_created_from?string
YYYY-MM-DD
Format
datedate_created_to?string
YYYY-MM-DD
Format
datecursor?string
The pagination cursor value.
Header Parameters
X-29next-API-Version*string
Default
"2023-02-10"Value in
"2023-02-10"Response Body
application/json
curl -X GET "https://example.29next.store/api/admin/exports/" \
-H "X-29next-API-Version: 2023-02-10" \
-H "Authorization: Bearer "{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"results": [
{
"created_at": "2019-08-24T14:15:22Z",
"date_from": "2019-08-24T14:15:22Z",
"date_to": "2019-08-24T14:15:22Z",
"id": 0,
"status": "available",
"type": "order_list",
"url": "http://example.com"
}
]
}